Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 622293 - Review Request: erlang-erlydtl - Django Templates for Erlang
Review Request: erlang-erlydtl - Django Templates for Erlang
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-08 14:40 EDT by Ilia Cheishvili
Modified: 2010-09-14 00:57 EDT (History)
4 users (show)

See Also:
Fixed In Version: erlang-erlydtl-0.6.0-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-14 00:57:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ilia Cheishvili 2010-08-08 14:40:53 EDT
Spec URL: http://github.com/icheishvili/rpms/raw/master/erlang-erlydtl.spec
SRPM URL: http://github.com/icheishvili/rpms/raw/master/erlang-erlydtl-0.6.0-1.fc13.src.rpm
Description:
Hi, I just packaged erlang-erlydtl, something that I find useful and was hoping could make its way into Extras.

ErlyDTL is an Erlang implementation of the Django Template Language. The erlydtl module compiles Django Template source code into Erlang bytecode. The compiled template has a "render" function that takes a list of variables and returns a fully rendered document.
Comment 1 Peter Lemenkov 2010-08-09 09:42:43 EDT
I'll review it.
Ilia, what's your FAS name?
Comment 2 Peter Lemenkov 2010-08-09 09:50:00 EDT
Notes:

* Since Erlang R14A is available in F-14/Rawhide, could you, please, add this patch?

http://github.com/icheishvili/erlydtl/commit/a33b9d1789d0cf932ee96093697265590c159ad2

* Unowned directory - %{_libdir}/erlang/lib/erlydtl-%{version}. Please add the following line to the %files section:

%dir %{_libdir}/erlang/lib/erlydtl-%{version}
Comment 3 Ilia Cheishvili 2010-08-09 16:26:45 EDT
Hi Peter,

Thanks for reviewing.  My FAS name is icheishvili.

I backported the patch for R14A compatibility and have included it in the updated SPEC file, as well owned the directory that you pointed out was unowned.

Find the new links here:

http://github.com/icheishvili/rpms/raw/ae171c49edf1ffe78445cafe99b52007d7487c2d/erlang-erlydtl-0.6.0-1.fc13.src.rpm

http://github.com/icheishvili/rpms/raw/ae171c49edf1ffe78445cafe99b52007d7487c2d/erlang-erlydtl.spec
Comment 4 Peter Lemenkov 2010-08-15 07:08:18 EDT
Few more notes:

* Please, add the following line to the head of your spec to suppress bogus debuginfo generation

%global debug_package %{nil}

* Please, add "%check" section with "make test" in it

You may find it useful to take a look at the following spec-file for the real-world examples:

http://pkgs.fedoraproject.org/gitweb/?p=erlang-mochiweb.git;a=blob;f=erlang-mochiweb.spec;hb=HEAD

* Consider adding virtual "Provides: ErlyDTL = %{version}-%{release}" (for those who will (accidentally) install it with "yum install ErlyDTL". This is NOT a blocker - feel free to add or reject this proposal. In fact its just a matter of taste, however if you decide to add this (or some else) Provides it won't be easy to remove them in the future.

* You don't using parallel make - either enable it with "make %{?_smp_mflags}" or add comment if the package cannot be built with parallel make.

*Some files in /examples/ directory have executable permissions. You need to drop these privileges at %prep section. Just add a line there with something like this:

find examples/ -type f -executable -exec chmod -x {} \;
Comment 5 Ilia Cheishvili 2010-08-16 14:26:04 EDT
I have implemented everything that you suggested.  Find the new SPEC file and SRC RPM here:

http://github.com/icheishvili/rpms/raw/master/erlang-erlydtl.spec

http://github.com/icheishvili/rpms/raw/master/erlang-erlydtl-0.6.0-1.fc13.src.rpm
Comment 6 Peter Lemenkov 2010-08-16 15:22:52 EDT
Ok, good. I don't see any other issues so far so here is my

REVIEW:

+/- rpmlint is NOT silent (fortunately almost all of its messages can be safely ignored in this particular case)

Sulaco ~/rpmbuild/SPECS: rpmlint ../RPMS/ppc/erlang-erlydtl-0.6.0-1.fc12.ppc.rpm 
erlang-erlydtl.ppc: W: summary-ended-with-dot C Erlang implementation of the Django Template Language.
erlang-erlydtl.ppc: W: spelling-error %description -l en_US bytecode -> byte code, byte-code, byte
erlang-erlydtl.ppc: E: no-binary
erlang-erlydtl.ppc: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 1 errors, 3 warnings.
Sulaco ~/rpmbuild/SPECS:

Please, take care of 'summary-ended-with-dot' arning - just remove trailing dot from summary. Spelling error is just a false positive. The rest two entries are just because of erlang-rlated package's structure - it must be installed into %_libdir no matter of whether it is arch-specific or noarch.

+ The package is named according to the Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec .
+ The package meets the Packaging Guidelines .
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines .
+ The License field in the package spec file matches the actual license (MIT) .
0 The source package doesn't include the text of the license(s) in its own file
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package matches the upstream source, as provided in the spec URL:

Sulaco ~/rpmbuild/SOURCES: sha256sum erlydtl-0.6.0.tar.gz*
4d6ceeaef064281f0de51f4f4bd6c1662a3217642bf2dd96b80adc5063e85e34  erlydtl-0.6.0.tar.gz
4d6ceeaef064281f0de51f4f4bd6c1662a3217642bf2dd96b80adc5063e85e34  erlydtl-0.6.0.tar.gz.1
Sulaco ~/rpmbuild/SOURCES:

+ The package successfully compiles and builds into binary rpms on at least one primary architecture:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2404579

+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files
+ The package does NOT bundle copies of system libraries.
0 The package is NOT designed to be relocatable
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files
+ Everything the package includes as %doc does not affect the runtime of the application.
0 No C/C++ header files.
0 No static libraries.
0 The package does NOT contain library files with a suffix (e.g. libfoo.so.1.1)
0 No devel sub-package.
+ The packages does NOT contain any .la libtool archives,
0 Not a GUI application
+ The package does not own files or directories already owned by other packages.
+ All filenames in the package are valid UTF-8.

APPROVED
Comment 7 Peter Lemenkov 2010-08-16 15:26:47 EDT
Ilia, please, request membership in the "Fedora Packager CVS Commit Group (packager)" to allow me to sponsor you :)
Comment 8 Ilia Cheishvili 2010-08-16 18:21:02 EDT
Hey Peter,

I'm a bit unsure of what to do.  When applying to the group, it says "Please do not apply to this group. Your sponsor will add you after you've completed http://fedoraproject.org/wiki/Join_the_package_collection_maintainers".  Should I go ahead and apply anyway?
Comment 9 Jason Tibbitts 2010-08-16 20:46:30 EDT
Peter should simply add you to the group (by typing your FAS account name into the "add user" box).  Hopefully soon the new code which prevents folks from even trying to sign up to the group will go into effect.
Comment 10 Peter Lemenkov 2010-08-17 07:19:20 EDT
Done! I just sponsored Ilia.

Ilia, now you should proceed with Fedora SCM Request:

https://fedoraproject.org/wiki/Package_SCM_admin_requests
Comment 11 Ilia Cheishvili 2010-08-17 18:28:50 EDT
New Package SCM Request
=======================
Package Name: erlang-erlydtl
Short Description: Erlang implementation of the Django Template Language
Owners: icheishvili
Branches: f14
InitialCC:
Comment 12 Kevin Fenzi 2010-08-18 17:17:32 EDT
Git done (by process-git-requests).
Comment 13 Fedora Update System 2010-08-19 12:43:43 EDT
erlang-erlydtl-0.6.0-1.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/erlang-erlydtl-0.6.0-1.fc14
Comment 14 Fedora Update System 2010-08-20 14:41:43 EDT
erlang-erlydtl-0.6.0-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update erlang-erlydtl'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/erlang-erlydtl-0.6.0-1.fc14
Comment 15 Fedora Update System 2010-09-14 00:56:59 EDT
erlang-erlydtl-0.6.0-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.